<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">FORM PENGAJUAN PENARIKAN</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-10"></div>
            <div class="col-sm-2">
              <button (click)="backClicked()" class="pull-right btn btn-success font-weight-bold btn-sm"><i class="fa fa-arrow-left"></i> Kembali</button>
            </div>
          </div><br><br>
          <form action="" method="post" class="form-horizontal" style="margin-top: -40px;" [formGroup]="formBuilder">
            <div class="row">
              <div class="col-sm-6">
                <div class="card">
                  <div class="card-body">
                    <div class="row">
                      <div class="col-sm-12" *ngIf="dataUser.role!=='HRD'">
                        <label class="col-form-label">Perusahaan</label>
                        <app-company-select [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" ></app-company-select>
                        <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectPerusahaan" [(value)]="selectedPerusahaan" (change)="doGetListMember()" [options]="listPerusahaan"></ngx-select-dropdown>-->
                      </div>
                    </div>
                    <div class="row" *ngIf="dataUser.role!=='AGT'">
                      <div class="col-sm-12">
                        <label class="col-form-label">Anggota</label>
                        <!--<app-member-select [options]="listAnggota" (someChildEvent)="selectedAnggota=$event" ></app-member-select>-->
                        <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectAnggota" [(value)]="selectedAnggota" [options]="listAnggota"></ngx-select-dropdown>-->
                        <input list="members" [(ngModel)]="selectedName" (keyup)="doGetListMember()" (change)="onMemberChanged(selectedName)" [ngModelOptions]="{standalone: true}" class="form-control custom-select custom-select-sm" placeholder="Cari Anggota...">
                        <datalist id="members">
                          <option *ngFor="let user of listAnggota" value="{{user.nama}} - {{user.nomorNik}}">{{user.nama}} - {{user.nomorNik}}</option>
                        </datalist>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-sm-6">
                        <label class="col-form-label">Total Simpanan</label>
                        <input type="text" class="form-control" value="{{!saldoSimpanan ? 0 : saldoSimpanan.totalSimpanan | number}}" readonly>
                      </div>
                      <div class="col-sm-6">
                        <label class="col-form-label">Total Simpanan Pokok</label>
                        <input type="text" class="form-control" value="{{!saldoSimpanan ? 0 : saldoSimpanan.totalSimpananPokok | number}}" readonly>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-sm-6">
                        <label class="col-form-label">Total Simpanan Wajib</label>
                        <input type="text" class="form-control" value="{{!saldoSimpanan ? 0 : saldoSimpanan.totalSimpananWajib | number}}" readonly>
                      </div>
                      <div class="col-sm-6">
                        <label class="col-form-label">Total Simpanan Sukarela</label>
                        <input type="text" class="form-control" value="{{!saldoSimpanan ? 0 : saldoSimpanan.totalSimpananSukarela | number}}" readonly>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-sm-6">
                <!--<div class="col-sm-12">-->
                  <!--<label class="col-form-label">Jenis Penarikan</label>-->
                  <!--<select class="form-control selectpicker" formControlName="kodeTipePengajuan">-->
                    <!--<option value="" disabled>Pilih Jenis Penarikan</option>-->
                    <!--<option value="POKOK">Simpanan Pokok</option>-->
                    <!--<option value="WAJIB">Simpanan Wajib</option>-->
                    <!--<option value="SUKARELA">Simpanan Sukarela</option>-->
                  <!--</select>-->
                <!--</div>-->
                <!--<div class="col-sm-12">-->
                  <!--<label class="col-form-label">Nominal</label>-->
                  <!--<div class="input-group">-->
                    <!--<input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominalPengajuan.value}}"-->
                           <!--(keyup)="setPenarikan()" placeholder="Nominal Pinjaman" formControlName="nominalPengajuan">-->
                  <!--</div>-->
                <!--</div>-->
                <div class="col-sm-12">
                  <label class="col-form-label">Simpanan Pokok</label>
                  <div class="input-group">
                    <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.simpananPokok.value}}"
                           placeholder="Nominal Pinjaman Simpanan Pokok" formControlName="simpananPokok">
                  </div>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Simpanan Wajib</label>
                  <div class="input-group">
                    <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.simpananWajib.value}}"
                           placeholder="Nominal Pinjaman Simpanan Wajib" formControlName="simpananWajib">
                  </div>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Simpanan Sukarela</label>
                  <div class="input-group">
                    <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.simpananSukarela.value}}"
                           placeholder="Nominal Pinjaman Simpanan Sukarela" formControlName="simpananSukarela">
                  </div>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Tujuan Penarikan</label>
                  <input type="text" id="nama" class="form-control" formControlName="keterangan" placeholder="Tujuan Penarikan">
                </div>
                <div class="col-sm-12" *ngIf="(formBuilder.controls.simpananPokok.value!=='' && formBuilder.controls.simpananPokok.value!=='0')
                 || (formBuilder.controls.simpananWajib.value!=='' && formBuilder.controls.simpananWajib.value!=='0')">
                  <label class="col-form-label">Upload Dokumen</label>
                  <input class="form-control-file" #fileUpload type="file" (change)="onFileChangedDokumen($event.target.files)" >
                </div>
              </div>
            </div>
          </form><br>
          <button class="btn btn-success btn-lg" (click)="doSubmitPengajuan()" [disabled]="formBuilder.invalid"><i class="fa fa-save"></i> SUBMIT</button>
        </div>
      </div>
    </div>
  </div>
</div>
